[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: mercurial (and tailor) packages



Marc 'HE' Brockschmidt a écrit :
> Vincent Danjean <Vincent.Danjean@ens-lyon.org> writes:
>>   In short, I would prefer you accept mercurial 0.9.3-2 and
>> tailor 0.9.27-1 in testing. If you do not, I will prepare
>> a fix for #382252 for mercurial 0.9.1 and submit it to you.
> 
> I would prefer this.

  I've just uploaded mercurial_0.9.1-1+etch1_i386.changes
in testing-proposed-updates.
  Please, consider it for inclusion in etch if you do not want
the 0.9.3-2 package.
  I attach the interdiff of the diff.gz with the one currently
in testing.

  Best regards,
    Vincent

diff -u mercurial-0.9.1/debian/changelog mercurial-0.9.1/debian/changelog
--- mercurial-0.9.1/debian/changelog
+++ mercurial-0.9.1/debian/changelog
@@ -1,3 +1,12 @@
+mercurial (0.9.1-1+etch1) testing-proposed-updates; urgency=low
+
+  * [debian/mercurial.postinst] remove old
+    /usr/lib/python*/site-packages/{mercurial,hgext} directories if needed
+    (Closes: #382252), backport from 0.9.3-2
+  * [debian/control] update maintainer field with my debian.org address
+
+ -- Vincent Danjean <vdanjean@debian.org>  Wed,  3 Jan 2007 19:38:55 +0100
+
 mercurial (0.9.1-1) unstable; urgency=low
 
   * New upstream release
diff -u mercurial-0.9.1/debian/control mercurial-0.9.1/debian/control
--- mercurial-0.9.1/debian/control
+++ mercurial-0.9.1/debian/control
@@ -1,7 +1,7 @@
 Source: mercurial
 Section: devel
 Priority: optional
-Maintainer: Vincent Danjean <Vincent.Danjean@ens-lyon.org>
+Maintainer: Vincent Danjean <vdanjean@debian.org>
 Build-Depends: debhelper (>= 5.0.37.2), quilt, patchutils (>= 0.2.25), 
  cdbs (>= 0.4.27-1), python-support (>= 0.3), python-all-dev, xmlto, asciidoc
 Standards-Version: 3.7.2
only in patch2:
unchanged:
--- mercurial-0.9.1.orig/debian/mercurial.postinst
+++ mercurial-0.9.1/debian/mercurial.postinst
@@ -0,0 +1,48 @@
+#!/bin/sh
+# postinst script for mercurial
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+#        * <postinst> `configure' <most-recently-configured-version>
+#        * <old-postinst> `abort-upgrade' <new version>
+#        * <conflictor's-postinst> `abort-remove' `in-favour' <package>
+#          <new-version>
+#        * <postinst> `abort-remove'
+#        * <deconfigured's-postinst> `abort-deconfigure' `in-favour'
+#          <failed-install-package> <version> `removing'
+#          <conflicting-package> <version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+
+case "$1" in
+    configure)
+        # Fix for old packages not managing pyc files
+        for d in /usr/lib/python*/site-packages/mercurial /usr/lib/python*/site-packages/hgext ; do
+	    if [ -d "$d" ] ; then
+	        echo "Removing old python byte-compiled files in $d"
+	        rm -rf "$d"
+	    fi
+	done
+    ;;
+
+    abort-upgrade|abort-remove|abort-deconfigure)
+    ;;
+
+    *)
+        echo "postinst called with unknown argument \`$1'" >&2
+        exit 1
+    ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
+
+

Reply to: